Apache HTTP Server Request Library

Data Fields
apreq_value_t Struct Reference

libapreq's pre-extensible string type More...

`#include <apreq.h>`

## Data Fields

char * | name
apr_size_t | nlen
apr_size_t | dlen
char | data [1]

## Detailed Description

libapreq's pre-extensible string type

Examples
  /home/jorton/src/asf/libapreq-v2.17/include/apreq.h.

## Field Documentation

## ◆ data

char apreq_value_t::data[1]

value data

Examples
  /home/jorton/src/asf/libapreq-v2.17/include/apreq.h.

## ◆ dlen

apr_size_t apreq_value_t::dlen

length of data

Examples
  /home/jorton/src/asf/libapreq-v2.17/include/apreq.h.

## ◆ name

char* apreq_value_t::name

value name

Examples
  /home/jorton/src/asf/libapreq-v2.17/include/apreq.h.

## ◆ nlen

apr_size_t apreq_value_t::nlen

length of name

Examples
  /home/jorton/src/asf/libapreq-v2.17/include/apreq.h.

The documentation for this struct was generated from the following file:

- include/apreq.h